<!--
 * @Author: 小明丶
 * @Date: 2020-11-13 10:43:38
 * @LastEditors: 小明丶
 * @LastEditTime: 2020-11-13 11:10:52
 * @Description: 
-->
<template>
    <div class="v-dialog">
        <van-dialog v-model="show" title="提示" show-cancel-button @cancel="hanldCancel" @confirm="hanldConfirm">
            <div class="content">
                <p>当前支付宝无法办理业务，企业类型商户请使用企业支付宝账号扫码授权，个体工商户请使用经营者支付宝账号扫码授权！</p>
            </div>
        </van-dialog>
    </div>
</template>
<script>
export default {
    name:'Vdialog',
    props:{
        show:{
            type:Boolean,
            default:false
        }
    },
    data() {
        return {
            
        }
    },
    methods:{
        hanldConfirm(){
            this.$router.push({
                path:'/huabei/open',
                query:{
                    isCreateOrderPush:true,
                    title:'花呗分期',
                    path:this.$route.path,
                    ...this.$route.query
                }
            })
        },
        hanldCancel(){
            this.$emit('cancel',false)
        }
    }
}
</script> 
<style lang="less" scoped>
.v-dialog{
    /deep/.content{
        display: flex;
        min-height: 100px;
        text-align: center;
        align-items: center;
        padding: 0 20px;
    }
}
</style>